Mail archive
alpine-aports

[alpine-aports] [PATCH 4/6] testing/py-cheetah: new aport

From: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
Date: Thu, 24 Mar 2016 16:33:21 +0000

http://www.cheetahtemplate.org/
Cheetah is a template engine and code generation tool
---
 testing/py-cheetah/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/py-cheetah/APKBUILD
diff --git a/testing/py-cheetah/APKBUILD b/testing/py-cheetah/APKBUILD
new file mode 100644
index 0000000..0c04981
--- /dev/null
+++ b/testing/py-cheetah/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Matt Dainty <matt+alpine_at_bodgit-n-scarper.com>
+# Maintainer:
+pkgname=py-cheetah
+_pkgname=Cheetah
+pkgver=2.4.4
+pkgrel=0
+pkgdesc="Cheetah is a template engine and code generation tool"
+url="http://www.cheetahtemplate.org/"
+arch="all"
+license="MIT"
+depends="python"
+makedepends="python-dev"
+install=""
+subpackages=""
+source="https://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="853917116e731afbc8c8a43c37e6ddba  Cheetah-2.4.4.tar.gz"
+sha256sums="be308229f0c1e5e5af4f27d7ee06d90bb19e6af3059794e5fd536a6f29a9b550  Cheetah-2.4.4.tar.gz"
+sha512sums="11b8cbf7d71789d6ae83596b133ddbe0bf1ccf2bca4c59562e7cd1d9bb75fa9d3208c0021d7d77edafdb03fd399cf1a26c003267fbffb94f27bf4457b0f9234c  Cheetah-2.4.4.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 24 2016 - 16:33:21 GMT